mod common;
mod error;
mod formats;
mod linker;

use std::path::PathBuf;

use linker::Linker;

fn main() {
    let mut args = std::env::args().peekable();

    // can this miss?
    args.next().expect("Argument expansion");

    let destination = PathBuf::from("/home/ales/Programovanie/rust/linker/assets/rld.out"); // TODO
    let mut linker = Linker::elf(destination).expect("Linker init");

    for path in args {
        let path = PathBuf::from(path);

        linker.add_relocatable(path).expect("Data input");
    }

    let outpath = linker.link().expect("Linking");
    eprintln!("Done {:?}", outpath);
}
